Win a copy of The Way of the Web Tester: A Beginner's Guide to Automating Tests this week in the Testing forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

JavaMail 1.4 and project facet 1.7 is not supported

Michele Smith
Ranch Hand
Posts: 421
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hello I am using JavaMail 1.4 for a quick solution to the implementation of an email form with MySQL 5.5.

The following error is being received when I try to add this project to my Tomcat server:

"project facet 1.7 is not supported"

I did some searching and it said that I needed to change my IDE Properties/Server tab, to point to JDK 1.7

I am not sure why but even when I change the default to JDK 1.7, it does not work. The default was 1.6.

This is on Tomcat 1.7, JDK 1.7.45

If you can think of something which may be helpful, please advise.

  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic